%define majver %(echo %version | cut -d. -f1-2)

Name:          kcalendarcore
Version:       5.68.0
Release:       1mamba
Summary:       KDE Frameworks 5 library providing access to and handling of calendar data
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/frameworks/%{majver}/kcalendarcore-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libical-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 library providing access to and handling of calendar data.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 library providing access to and handling of calendar data
Provides:      libkcalcore
Obsoletes:     libkcalcore

%description -n lib%{name}
KDE Frameworks 5 library providing access to and handling of calendar data.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libkcalcore-devel
Obsoletes:     libkcalcore-devel

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5CalendarCore.so.*
%{_datadir}/qlogging-categories5/kcalendarcore.categories
%{_datadir}/qlogging-categories5/kcalendarcore.renamecategories
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KCalendarCore
%dir %{_kde5_includedir}/KCalendarCore/KCalCore
%{_kde5_includedir}/KCalendarCore/KCalCore/*
%dir %{_kde5_includedir}/KCalendarCore/KCalendarCore
%{_kde5_includedir}/KCalendarCore/KCalendarCore/*
%dir %{_kde5_includedir}/KCalendarCore/kcalcore
%{_kde5_includedir}/KCalendarCore/kcalcore/*.h
%dir %{_kde5_includedir}/KCalendarCore/kcalendarcore
%{_kde5_includedir}/KCalendarCore/kcalendarcore/*.h
%{_kde5_includedir}/kcalcore_version.h
%{_kde5_includedir}/kcalendarcore_version.h
%dir %{_kde5_libdir}/cmake/KF5CalendarCore
%{_kde5_libdir}/cmake/KF5CalendarCore/*.cmake
%{_kde5_libdir}/libKF5CalendarCore.so
%{_kde5_mkspecsdir}/qt_KCalendarCore.pri

%changelog
* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Mon Jan 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.66.0-1mamba
- update to 5.66.0

* Wed Jan 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.65.0-1mamba
- package created using the webbuild interface
